<?xml version="1.0" encoding="GB2312"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
xmlns="http://www.w3.org/1999/xhtml">

<xsl:output method="html" omit-xml-declaration="yes" indent="yes" version="4.0"/> 
<xsl:preserve-space elements="code"/>
<xsl:include href="lang/cn/lang.xslt"/>
<xsl:variable name="DOCTYPE">

<![CDATA[<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
]]>

</xsl:variable>

<xsl:template match="/">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=GB2312"/>
<title><xsl:value-of select="$Strings_0"/></title>
<meta name="generator" content="dvbbs"/>
<meta name="keywords" content="{$Strings_1}"/>
<meta name="description" content="{$Strings_2}"/>
<meta name="ScriptEditor" content="fssunwin"/>
<meta name="MSSmartTagsPreventParsing" content="true"/>
<meta http-equiv="MSThemeCompatible" content="Yes"/>
<meta http-equiv="html" content="no-cache"/>
<link rel="stylesheet" type="text/css" href="style/body.css"/>
<SCRIPT src="script/pagescript.js" type="text/javascript"></SCRIPT>
</head>
<body>
	<table border="0" cellpadding="0" cellspacing="0" class="Table0" align="center">
	<tr><td height="1" class="Table0"></td></tr>
	</table>
	<table border="0" cellpadding="0" cellspacing="1" class="Table1" align="center">
    <tr>
		<th class="Link" nowrap="nowrap" width="55" onmouseleave="mhLeave();" onmouseenter="mhEnter();"><a href="update.asp?action=2"><xsl:value-of select="$Strings_6"/></a></th>
		<th class="Link" nowrap="nowrap" width="55" onmouseleave="mhLeave();" onmouseenter="mhEnter();"><a href="update.asp?action=1"><xsl:value-of select="$Strings_7"/></a></th>
		<th class="Link" nowrap="nowrap" width="120" onmouseleave="mhLeave();" onmouseenter="mhEnter();"><a href="update.asp?action=3"><xsl:value-of select="$Strings_8"/></a></th>
		<th class="Link" nowrap="nowrap" width="55" onmouseleave="mhLeave();" onmouseenter="mhEnter();"><a href="update.asp?action=6"><xsl:value-of select="$Strings_9"/></a></th>
		<th class="Link" nowrap="nowrap" width="55" onmouseleave="mhLeave();" onmouseenter="mhEnter();"><a href="update.asp?action=7"><xsl:value-of select="$Strings_11"/></a></th>
		<th nowrap="nowrap" width="*" align="right" style="color:#C8C8C8;"><xsl:value-of select="$Strings_4"/></th>
    </tr>
	</table>
	<table border="0" cellpadding="0" cellspacing="0" class="Table1" align="center">
	<tr><td class="Table4" colspan="3"></td></tr>
	<tr>
      <td width="20%" height="80" align="center"><a href="http://bbs.dvbbs.net" target="_blank"><img src="style/logo.gif" border="0" alt="{$Strings_2}"/></a></td>
      <td width="60%" align="center"></td>
      <td width="20%" align="center"><img src="style/gears.png" border="0" alt=""/></td>
    </tr>
	<tr><td height="1" class="Table4" colspan="3"></td></tr>
	</table>
	<table border="0" cellpadding="0" cellspacing="1" class="Table1" align="center">
    <tr>
	<td height="400" valign="top" align="center" class="tdbody1">
	<xsl:choose>
		<xsl:when test="$action='1'">
			<xsl:call-template name="Update_Info1"/>
		</xsl:when>
		<xsl:when test="$action='2'">
			<xsl:call-template name="Update_Info2"/>
		</xsl:when>
		<xsl:when test="$action='3'">
			<xsl:call-template name="Update_Info3"/>
		</xsl:when>
		<xsl:when test="$action='4'">
			<xsl:call-template name="Update_Step1"/>
		</xsl:when>
		<xsl:when test="$action='5'">
			<xsl:call-template name="Update_Step2"/>
		</xsl:when>
		<xsl:when test="$action='6'">
			<xsl:call-template name="Update_Info4"/>
		</xsl:when>
		<xsl:when test="$action='7'">
		<xsl:call-template name="Update_Report"/>
		</xsl:when>
	<xsl:otherwise>
		<xsl:call-template name="Update_Info1"/>
	</xsl:otherwise>
	</xsl:choose>
	<br/><br/>
	<xsl:if test="$action != '4' and $action != '5' and $action != '7'">
	<button onclick="window.location.href='update.asp?action=4';"><xsl:value-of select="$Strings_10"/></button>
	</xsl:if>
	</td>
    </tr>
	</table>
	<table border="0" cellpadding="0" cellspacing="1" class="Table3" align="center">
    <tr>
	<td class="tdbody1" width="100%">
		<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
		<tr>
			<td align="right" class="copyright">
			<xsl:value-of select="$Strings_5"/>
			</td>
		</tr>
		</table>
	</td>
    </tr>
	</table>
</body>
</html>
</xsl:template>

<xsl:template name="Update_Info1">
<TEXTAREA class="UpdateInfo">
操作说明，请仔细阅读操作说明后进行操作：

1、建议您在本地计算机系统完成升级操作并做好备份工作，如不能在本地进行升级操作也请升级前备份好您的所有文件和数据
　　A. Access数据库用户请先把论坛数据库从空间下载到本地操作。
      本程序自带Access数据库的备份功能．
    B. SQL数据库的可直接设置数据库帐号远程连接数据库。
2、如升级过程出错，请用备份数据库恢复再试，如果出现错误信息提示，请仔细阅读，一般都包含了解决办法，这时或许需要您手动调整部分信息，如果是出现异常的没有解决的问题，或联系我们反映使用中遇到的问题。
3、做好您原论坛的模板备份，本次升级将覆盖您原有的所有风格，本版本之前的所有版本的模板均不能在此版本上使用，需要重新制作风格模板，升级完成后您可以根据老版本数据和文件运行老论坛并对照模板进行修改。
4、如果您是直接在正在使用的论坛上升级，升级选项中要选择“更新当前站点缓存”；如果是在本地完成升级操作，则在升级完成后，将升级包中的“CleanCache.asp”文件上传到论坛目录并运行，运行完毕后再进行文件和数据库的上传操作。
5、本次升级Conn.asp数据库链接文件也必须用新版的，因此您必须将该文件中的数据库链接改成您当前的数据库地址后方能上传。
6、博客相关是否独立数据库，数据的默认链接等设置请到boke/config.asp文件中按您的需要进行设置。
6、欢迎访问动网论坛官方网站(Aspsky.Net)和官方讨论区(bbs.Dvbbs.Net)，就您使用Dvbbs的问题发表您的意见。
</TEXTAREA>
</xsl:template>
<xsl:template name="Update_Info2">
<TEXTAREA class="UpdateInfo">
此程序支持动网论坛V7.0.0 或者 V7.1.0 升级至动网论坛最新版本V7.1.0 Sp1
+ 整体功能调整和新增：

Dvbbs 7.1.0 Sp1 调整和新增
1、重整核心结果，采用成熟的缓存加载模式，能保持稳定的运行状态。缓存数据大部分采用XML模式，易于存取和管理。优化核心代码（局部采用XSLT代替脚本执行，效率提高），更加高效和简洁。
2、主要页面采用数据库==>XML+XSLT方式处理，效率高。
3、几个主要页面采用Div+Css标准重构和优化，对搜索引擎能更好的支持。
4、针对搜索引擎进行优化，对主流的搜索引擎提供了不同的显示结果和站点地图等优化。
5、重写论坛回收站，使用和操作更加方便，超版也可进入管理（只能还原），处理超大数据也不会出现论坛卡死情况。
6、重写论坛审核机制，超强的论坛审核，满足用户的不同要求，全方位的监视论坛数据，是论坛信息的软件防火墙。
7、论坛点券购买采用支付宝新接口，站长只要在支付宝网站和论坛后台设置好相关信息，用户购买点券的费用将直接划到站长支付宝帐号，中间不收取任何手续费。
8、采纳部分站长建议，在论坛中直接整合支付宝电子商务交易功能（分版面开关）。此概念在国内为动网首创，与传统电子商务交易网站不同，论坛中的交易有更加宽松的交流气氛、自由的讨论氛围等特点，在加上采用支付宝作为信用保障体系，对买卖双方交易都更加安全和可靠。
9、重点推出：动网论坛博客系统，论坛用户可直接激活个人博客帐号、帖子可直接转入自己的博客、个人文章、文章收藏、个人相册、链接（书签）、交易（类似论坛交易，可做个人店铺）、关键字设置（可设置一些常用的链接地址和关键字，文章中遇到相关关键字则可自动替换为相关链接和文字）、二级域名支持、日志天气、访客脚印（浏览用户可留下自己的访问印记）等，具体可点击导航中的“博客（boke）”链接访问。

Dvbbs 7.1.0 调整和新增
1、道具中心，供购买论坛各种功能性道具，不同道具可在论坛进行不同操作。
2、金币和点券概念，独立于道具中心之外，可用来进行帖子的购买、付费版面的进入等等操作
3、点券的购买，可通过手机短信和网络支付两种方式，此外论坛积分、经验、点券等数值可和论坛金币转换
4、交易帖（金币购买）、悬赏求助帖（赠送金币）、获赠金币帖等功能，独立于道具中心之外
5、WAP论坛功能，可通过特定地址用手机访问论坛，随时随地都可以关注喜欢的论坛
6、用户组功能调整，用户组分为5个大类，分别是：系统组、特殊组、用户组、多属性用户组和VIP组，用户组为原来用户等级，特殊组为系统管理员自定义不按升级标准升级的组，多属性用户组可同时拥有多个组权限，VIP组下面介绍
7、VIP用户功能，在开启VIP用户功能且添加了对应组的情况下，用户可以付费加入某个组，可拥有免费查看VIP帖和进入VIP版面的权限，管理员后台可设置vip用户的付费标准和期限
8、CSS风格独立出来，和原来每份模板都有独立的一份CSS不同，目前可设置不同CSS对应的模板，主要是方便用户操作选择以及缩减数据占用
9、新增论坛文字广告位
10、新增论坛规则部分，在后台版面管理可新增和编辑
11、魔法表情，独立于道具中心之外，可用金币或点券购买

12、后台独立目录，可自己在后台设置后台目录并手动更改目录名称，保障论坛安全，此外没有登录前台也可直接访问后台登录页面进行登录（要同时输入前后台帐号信息）
13、超强的上传文件控制，可对论坛上传的图片水印、文字、颜色、透明度和缩略图进行完整的控制
14、动网官方自动通知系统，可以第一时间获得官方的通知信息，此外在可阅读官方最新的帖子，同时可以在自己的论坛后台即可访问官方论坛并进行问题的提出和浏览操作
15、强化日志管理部分，可针对多种不同类型的论坛操作日志进行查询和操作
16、用户管理新增VIP用户浏览、批量奖励或惩罚用户、合并用户等操作
17、超强的邮件群发系统，可针对个别用户、某个群用户、某个特定条件的用户群进行邮件群发工作
18、原系统空间占用功能改为系统信息检测，相当于ASP探针，可查看服务器对论坛的一些支持情况
19、用户组权限的编辑可进行批量更新，可单独的选择某几个权限对多个用户组进行更新

20、RSS订阅论坛信息功能，可RSS订阅器可订阅包括各个版面最新帖子、精华帖子等内容
21、细化部分页面结构和风格，包括首页、帖子列表、帖子内容等几个页面
22、为兼容搜索引擎搜索，取消了大部分JS内容输出而改用xslt控制内容和界面
23、部分小页面合并为一个独立的功能页面
24、强化搜索页面功能，管理员和有权限的用户可直接对搜索结果进行批量的帖子操作
25、删去部分CSS风格，目前仅保留9种颜色风格
26、UBB发贴模式可在后台进行控制，发贴模式可选
27、增强审核部分功能，管理员可直接查看并审核所有版面的帖子，也可进行数据查询并审核的操作

28、整体优化代码，制定高效快速的缓存机制和数据访问
29、其它还有很多的细节调整，大家使用过程中慢慢就知道了

+ Sp1 设置技巧
Conn.asp的设置的修改。
Const fversion="7.1.0 Sp1" 是论坛版本号，也是自动更新通知的依据，不建议进行修改.
Const EnabledSession=True 这里设置为Ture 则使用session记录用户临时信息，可以减少访问数据库的次数以提交效率，缺点是占用服务器内存稍大。
如果设置为False则可以大大节省服务器内存的占用，缺点是访问数据库较多，这里缺省是True 就是采用session记录。
Const MsxmlVersion=".3.0" 这是定义服务器采用的msxml版本的板本号，我们建议采用".3.0",一般不会有问题。
如果您的服务器不支持，则可以写成 Const MsxmlVersion=".2.6" Const MsxmlVersion=".2.0" 或Const MsxmlVersion=""
如果Const MsxmlVersion="" 还是不支持的话，就说明服务器的msxml版本很低了。

数据库连接参数的设置，这里略去

index.asp的设置修改
Const CachePage=false '是否做页面缓存
Const CacheTime=60    '缓存失效时间
建议大论坛采用页面缓存，
缓存的时间，请在实时性和性能之间适当取舍。
部分模板文件设置的技巧
inc\Templates\Dv_News.xslt
&lt;xsl:variable name="marquee" select="0"/>&lt;!--设置为1则移动公告-->
&lt;xsl:variable name="maxposition" select="5"/>&lt;!--移动公告最多显示多少条-->

这就是说我们官方提供两个论坛公告的显示模式。您可以根据需要设置。

分页模板中的设置(风格界面模板总管理中修改）
目前含可设置功能只有一个，就是贴子列表部分，位于page_inde的界面风格template.html(1) 这是一份XML格式的文本文件。
开头部分如下
&lt;?xml version="1.0" encoding="gb2312"?>
&lt;xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
&lt;xsl:output method="xml" omit-xml-declaration = "yes" indent="yes" version="4.0"/>
。。。。
&lt;!--模板设置-->
&lt;xsl:variable name="showexpression" select="0" />&lt;!--设置为1显示发贴心情图标-->
&lt;xsl:variable name="showtitleinfo" select="1" />&lt;!--设置为1显示标题中悬停的提示内容,就是title属性标签里的内容.-->
&lt;xsl:variable name="showstatslink" select="1" />&lt;!--设置为1贴子状态图表中加入开新窗口的链接.-->
&lt;xsl:variable name="showspage" select="1" />&lt;!--是否显示单贴分页设置为1则显示-->
&lt;!--模板设置结束-->
。。。。
这不用在做解释了。
请根据您的需要更改设置。

多谢大家一直以来的支持，我们会做的更好！
</TEXTAREA>
</xsl:template>

<xsl:template name="Update_Info3">
<TEXTAREA class="UpdateInfo">
动网论坛商业用户升级说明：

运行本程序可以顺利帮您升级论坛基本的数据表结构和法规数据.
但是不能更新商业版中所包含的优化信息,如您是商业用户,请联系我们的客服人员。
</TEXTAREA>
</xsl:template>
<xsl:template name="Update_Info4">
<TEXTAREA class="UpdateInfo">
○海口动网先锋网络科技有限公司海南总部

通信地址：海南省海口市国贸路正昊大厦18楼E座。(此地址不接受邮政汇款)
邮政编码：570125
公司电话：0898-66698668(10线接入)
公司传真：0898-68556467 

业务咨询
Q Q：31009090、 31009096、 31009098、 31009099
MSN：x_hmily@hotmail.com、aspskychen@hotmail.com、jeff_335@hotmail.com、lxfsw1314@hotmail.com

售后服务
Q Q：31009081、 31009087、  31009085 、 31009088 
MSN：hantg520@hotmail.com、tan9087@hotmail.com、chseason@msn.com

其它联系
业务咨询：info@aspsky.net
动网先锋：http://www.aspsky.net
动网官方：http://www.dvbbs.net
动网论坛：http://bbs.dvbbs.net

注：非本站客户或业务联系请勿电话联系，免费技术支持请到论坛提出，有任何法律问题请与法律顾问联系，多谢合作！
</TEXTAREA>
</xsl:template>

<xsl:template name="Update_Step1">
<FORM METHOD="POST" ACTION="update.asp?action=5">
<table border="0" cellpadding="2" cellspacing="1" width="98%" class="table5" align="center">
<tr><td colspan="2"><li>请设置您的数据库和执行参数</li></td></tr>
<tr><td colspan="2"><li><font color="red">升级前请先做好数据库和文件备份！</font></li></td></tr>
<tr><td colspan="2"><li>SQL版本<font color="blue">非</font>商业用户请手动更改update.asp文件，找到所有“非商业用户的SQL版本用户请注释掉下面一行”按提示操作</li></td></tr>
<tr>
	<td width="20%" class="tdbody3" >数据库类型：</td>
	<td width="80%" class="tdbody2">
	<INPUT TYPE="radio" NAME="DataType" value="0" checked="true" onclick="show_step(this.value);"/>Access<xsl:text disable-output-escaping="yes" >&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>
	<INPUT TYPE="radio" value="1" NAME="DataType" onclick="show_step(this.value);"/>MS SQL
	</td>
</tr>
<tr>
	<td width="20%" class="tdbody3" >论坛版本：</td>
	<td width="80%" class="tdbody2">
	<INPUT TYPE="radio" NAME="DvbbsVersion" value="0"/><font color="blue">Dvbbs 7.0.0</font><xsl:text disable-output-escaping="yes" >&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>
	<INPUT TYPE="radio" value="1" NAME="DvbbsVersion" checked="true"/><font color="blue">Dvbbs 7.1.0</font>
	</td>
</tr>
<tr><td colspan="2">
<div id="AcData" style="display:'';">
	<table width="100%">
	<tr>
		<td class="tdbody3" width="30%" >数据库路径：</td>
		<td class="tdbody2" width="70%" ><INPUT TYPE="text" NAME="Data_Path" size="45" class="text" value="data/dvbbs7.mdb"/></td>
	</tr>
	</table>
</div>
<div id="SqlData" style="display:none;">
	<table width="100%">
	<tr>
		<td class="tdbody3"  width="30%">数据库服务器：</td>
		<td class="tdbody2"  width="70%"><INPUT TYPE="text" NAME="Data_Source" size="20" class="text" value="(local)"/></td>
	</tr>
	<tr>
		<td class="tdbody3">数据库名称：</td>
		<td class="tdbody2"><INPUT TYPE="text" NAME="Data_Name" size="20" class="text" value="Dvbbs7"/></td>
	</tr>
	<tr>
		<td class="tdbody3">登陆帐号：</td>
		<td class="tdbody2"><INPUT TYPE="text" NAME="Data_SA" size="20" class="text" value="sa"/></td>
	</tr>
	<tr>
		<td class="tdbody3">登陆密码：</td>
		<td class="tdbody2"><INPUT TYPE="text" NAME="Data_Pass" size="20" class="text"/></td>
	</tr>
	</table>
</div>
</td></tr>
<tr>
<td class="tdbody3">操作设置项：</td>
<td class="tdbody2">
<INPUT TYPE="checkbox" NAME="Update_Type1" value="1" checked="true"/>升级数据库结构
<INPUT TYPE="checkbox" NAME="Update_Type7" value="1" checked="true"/>更新模板结构
<INPUT TYPE="checkbox" NAME="Update_Type2" value="1" checked="true"/>更新模板数据
<INPUT TYPE="checkbox" NAME="Update_Type3" value="1" checked="true"/>更新默认数据
<br/>
<INPUT TYPE="checkbox" NAME="Update_Type8" value="1"/><font color="blue">论坛数据库整合博客数据(若使用独立博客数据库，可以不执行该项操作)</font>
<br/>
<INPUT TYPE="checkbox" NAME="Update_Type4" value="1"/>更新当前站点缓存
<div id="AcTools" style="display:'';">
<INPUT TYPE="checkbox" NAME="Update_Type5" value="1"/>执行压缩数据库<input type="checkbox" name="boolIs97" value="True"/>如果使用 Access 97 数据库请选择(默认为 Access 2000 数据库)
<br/>
<INPUT TYPE="checkbox" NAME="Update_Type6" value="1"/>执行备份数据库
</div>
</td>
</tr>
<tr><td colspan="2" class="tdbody2" align="center">
<INPUT TYPE="submit" value="设置完毕，开始操作"/>
</td></tr>
</table>
</FORM>
</xsl:template>
<xsl:template name="Update_Step2">
<p align="left">
<b>操作报告信息：</b>
<div class="Showinfo" align="left">
提示：若执行最后的结果没有提示：“全部操作执行完成！”，证明操作还未有执行到最后，请记下最后一条更新记录，查找出错原因。
</div>
<hr/>
<ol>
<div id="UpdateInfo" align="left"></div>
</ol></p>
<SCRIPT LANGUAGE="JavaScript">
var UpdateInfo = document.getElementById('UpdateInfo');
</SCRIPT>
</xsl:template>

<xsl:template name="Update_Report">
<p align="left">
<b>操作报告记录信息：</b>
<div class="Showinfo" align="left">
<ol>提示：
<li>若执行最后的结果没有提示：“全部操作执行完成！”，证明操作还未有执行到最后，请记下最后一条更新记录，查找出错原因。</li>
<li>本记录只会保留最新10条信息。</li>
</ol>
</div>
<ol>
<xsl:apply-templates select="//UpdateReport">
	<xsl:sort select="@AddTime" order="descending"/>
</xsl:apply-templates>
</ol>
</p>
</xsl:template>

<xsl:template match="UpdateReport">
<br/>
<div align="left"><li><b><xsl:value-of select="@AddTime"/> 的操作记录：</b></li></div>
<hr/>
<ol>
<div align="left">
	<xsl:apply-templates select="ReportInfo"/>
</div>
</ol>
</xsl:template>
<xsl:template match="ReportInfo">
	<xsl:value-of  disable-output-escaping="yes" select="."/>
</xsl:template>
</xsl:stylesheet>
